Toolkits
Update a custom toolkit
Experimental: this endpoint may change. Updates a custom toolkit’s name, logo, or API key field text. Omitted fields keep their current value. To change app_url, auth_schemes, or user_id, delete and re-create the toolkit. On a project with 2FA enabled, updating a private toolkit requires the user_id it is private to.
PATCH
/
api
/
v3.1
/
custom
/
toolkits
/
{slug}
Update a custom toolkit
import requests
url = "https://backend.composio.dev/api/v3.1/custom/toolkits/{slug}"
payload = {
"name": "<string>",
"api_key_field": {
"display_name": "<string>",
"description": "<string>"
},
"user_id": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
api_key_field: {display_name: '<string>', description: '<string>'},
user_id: '<string>'
})
};
fetch('https://backend.composio.dev/api/v3.1/custom/toolkits/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://backend.composio.dev/api/v3.1/custom/toolkits/{slug} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"api_key_field": {
"display_name": "<string>",
"description": "<string>"
},
"user_id": "<string>"
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3.1/custom/toolkits/{slug}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"api_key_field\": {\n \"display_name\": \"<string>\",\n \"description\": \"<string>\"\n },\n \"user_id\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://backend.composio.dev/api/v3.1/custom/toolkits/{slug}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"api_key_field\": {\n \"display_name\": \"<string>\",\n \"description\": \"<string>\"\n },\n \"user_id\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/custom/toolkits/{slug}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"api_key_field\": {\n \"display_name\": \"<string>\",\n \"description\": \"<string>\"\n },\n \"user_id\": \"<string>\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"success": true
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}Authorizations
ApiKeyAuthUserApiKeyAuth
Path Parameters
Body
application/json
Fields to update. Include at least one of name, logo_file, or api_key_field.
Update a custom toolkit
import requests
url = "https://backend.composio.dev/api/v3.1/custom/toolkits/{slug}"
payload = {
"name": "<string>",
"api_key_field": {
"display_name": "<string>",
"description": "<string>"
},
"user_id": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
api_key_field: {display_name: '<string>', description: '<string>'},
user_id: '<string>'
})
};
fetch('https://backend.composio.dev/api/v3.1/custom/toolkits/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://backend.composio.dev/api/v3.1/custom/toolkits/{slug} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"api_key_field": {
"display_name": "<string>",
"description": "<string>"
},
"user_id": "<string>"
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3.1/custom/toolkits/{slug}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"api_key_field\": {\n \"display_name\": \"<string>\",\n \"description\": \"<string>\"\n },\n \"user_id\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://backend.composio.dev/api/v3.1/custom/toolkits/{slug}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"api_key_field\": {\n \"display_name\": \"<string>\",\n \"description\": \"<string>\"\n },\n \"user_id\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/custom/toolkits/{slug}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"api_key_field\": {\n \"display_name\": \"<string>\",\n \"description\": \"<string>\"\n },\n \"user_id\": \"<string>\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"success": true
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}